Package org.springframework.security.web.authentication.logout

# Class ForwardLogoutSuccessHandler

java.lang.Object
org.springframework.security.web.authentication.logout.ForwardLogoutSuccessHandler

All Implemented Interfaces:
  `LogoutSuccessHandler`

public class ForwardLogoutSuccessHandler extends Object implements LogoutSuccessHandler
`LogoutSuccessHandler` implementation that will perform a request dispatcher "forward" to the specified target URL.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`ForwardLogoutSuccessHandler(String targetUrl)`
Construct a new `ForwardLogoutSuccessHandler` with the given target URL.

## Method Summary

Modifier and Type
Method
Description
`void`
`onLogoutSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForwardLogoutSuccessHandler

public ForwardLogoutSuccessHandler(String targetUrl)
Construct a new `ForwardLogoutSuccessHandler` with the given target URL.

Parameters:
  `targetUrl` - the target URL

## Method Details

### onLogoutSuccess

public void onLogoutSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException

Specified by:
  `onLogoutSuccess` in interface `LogoutSuccessHandler`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`